clean up test after execution
[oweals/gnunet.git] / src / gns / test_gns_quickupdate.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 
13         exit 77
14 fi
15
16 rm -rf /tmp/test-gnunet-gns-peer-1/
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
18 TEST_IP="127.0.0.1"
19 gnunet-arm -s -c test_gns_lookup.conf
20 gnunet-identity -C testego -c test_gns_lookup.conf
21 gnunet-identity -C delegatedego -c test_gns_lookup.conf
22 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
23 gnunet-arm -i gns -c test_gns_lookup.conf
24 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
25 # Give GNS/namestore time to fully start and finish initial iteration
26 sleep 2
27 # Performing namestore update
28 gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
29 # Give GNS chance to observe store event via monitor
30 sleep 1
31 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
32 # give GNS chance to process monitor event
33 sleep 1
34 # stop everything and restart to check that DHT PUT did happen
35 gnunet-arm -k gns -c test_gns_lookup.conf
36 gnunet-arm -k namestore -c test_gns_lookup.conf
37 gnunet-arm -k namecache -c test_gns_lookup.conf
38 # Purge nameacache, as we might otherwise fetch from there
39 rm -r `gnunet-config -c test_gns_lookup.conf -s namecache-sqlite -o FILENAME`
40 gnunet-arm -i namestore -c test_gns_lookup.conf
41 gnunet-arm -i namecache -c test_gns_lookup.conf
42 gnunet-arm -i gns -c test_gns_lookup.conf
43 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
44 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
45 gnunet-identity -D testego -c test_gns_lookup.conf
46 gnunet-identity -D delegatedego -c test_gns_lookup.conf
47 gnunet-arm -e -c test_gns_lookup.conf
48 rm -rf /tmp/test-gnunet-gns-peer-1/
49
50 if [ "$RES_IP" == "$TEST_IP" ]
51 then
52   exit 0
53 else
54   echo "Failed to properly resolve IP, got $RES_IP."
55   exit 1
56 fi